26

astronom1987⇓ пишет:

мне удалось установить Viber. Почему у никого из форумчан это не получается?

Потому что читать надА вИнимательно:

algri14⇓ пишет:

от Росы в Магею установился, версия viber-10.3.0.37-2-rosa2016.1.x86_64 , запустил, далее не могу проверить, у меня нет его в тлф

27 (2019-12-17 16:18:44 отредактировано Olej)

algri14⇓ пишет:

Потому что читать надА вИнимательно:

algri14⇓ пишет:
от Росы в Магею установился, версия viber-10.3.0.37-2-rosa2016.1.x86_64 , запустил, далее не могу проверить, у меня нет его в тлф

Но тут интересный такой момент возникает: каким образом сборщики ROSA перепаковали .rpm для Fedora со страницы загрузок Viber?
(потому что и версии Viber быстро уходят вперёд ... да и на случай если сборщики ROSA передумают впредь пересобирать пакет - хотелось бы уметь это делать автономно, ни от кого не завися)

28

Olej⇓ пишет:

каким образом сборщики ROSA перепаковали .rpm для Fedora

че там перепаковывать-то?
в rpm находятся 2 каталога всего. Всего делов раскидать по нужным каталогам. Ничего по зависимостям не тянет, все с собой приносит и в  /opt закидывает все скопом.
а так же в /usr/share

можно и не собирать - просто самому раскидать и все будет работать. Только что в росе так сделал с федоровским пакетом - все работает без бубна.

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

29

TopE⇓ пишет:

Только что в росе так сделал с федоровским пакетом - все работает без бубна.

Этот же пакет от ROSA viber-10.3.0.37-2-rosa2016.1.x86_64 , работает в Mageia

30

algri14⇓ пишет:

тот же пакет от ROSA viber-10.3.0.37-2-rosa2016.1.x86_64 , работает в Mageia

у меня сейчас показывает, что версия 12.0.0

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

31

TopE⇓ пишет:

Ничего по зависимостям не тянет, все с собой приносит

olej@olej-VirtualBox ~/Загрузки $ rpm -i viber.rpm 
error: Failed dependencies:
        gstreamer1(x86-64) нужен для viber-12.0.0.7-2.x86_64
        gstreamer1-plugins-bad-free(x86-64) нужен для viber-12.0.0.7-2.x86_64
        gstreamer1-plugins-base(x86-64) нужен для viber-12.0.0.7-2.x86_64
        gstreamer1-plugins-good(x86-64) нужен для viber-12.0.0.7-2.x86_64
        gstreamer1-plugins-ugly-free(x86-64) нужен для viber-12.0.0.7-2.x86_64
        libcrypto.so.10()(64bit) нужен для viber-12.0.0.7-2.x86_64
        libssl.so.10()(64bit) нужен для viber-12.0.0.7-2.x86_64

Это зависимости .rpm под Fedora.

32

algri14⇓ пишет:

от Росы в Магею установился, версия viber-10.3.0.37-2-rosa2016.1.x86_64 , запустил, далее не могу проверить, у меня нет его в тлф

Что такое тлф?
В Mageia Viber 10 версии.
Скажите, пожалуйста, программа после установки пакета у Вас запускается или нет? Ведь у меня и у другого форумчанина запускается.

33 (2019-12-17 21:49:01 отредактировано TopE)

Olej⇓ пишет:

Это зависимости .rpm под Fedora.

я имею ввиду, что если все это есть (в смысле функционала), то нафиг ничего нового ставить не надо.
опакеть внутренности оригинального rpm, создав спек с зависимостями, которые есть в интересующем дистрибутиве.

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

34 (2019-12-17 23:42:07 отредактировано Olej)

astronom1987⇓ пишет:

Что такое тлф?

тлф - это телефон yikes
И не имея на телефоне (смартфоне, планшете) ранее установленного приложения Viber (версия не важна) невозможно его установить на десктопе, ни Linux, ни Windows, ни MacOS. Телефон используется online как инструмент идентификации аккаунта.

astronom1987⇓ пишет:

В Mageia Viber 10 версии.

Пакет .rpm для Fedora, распакованный rpm2cpio + cpio, и элементарно откопированный в /opt и /usr (что, вообще то говоря, не совсем правильно), так как написал TopE выше, даёт в Mageia работающее приложение Viber версии 12.0.0.7

35

Olej⇓ пишет:

что, вообще то говоря, не совсем правильно

ну если хочется правильно, то юзаем опцию --nodeps при установке оригинального федоровского пакета и считаем проблему решенной.

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

36

Что касается телефона, то при чем тут Mageia? Вы что утверждаете, что 10 версии Viber нет в Google Play Market?

37 (2019-12-18 15:38:59 отредактировано TopE)

astronom1987⇓ пишет:

Что касается телефона, то при чем тут Mageia?

при том, что без телефона нельзя авторизоваться в viber и проверить его функциональность на десктопе. То есть "нет в телефоне" - следует читать, как " он мне нафиг не нужен в телефоне и устанавливать не хочу ради проверки, и есть он в гугл магазине или нет - пофиг"

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

38

TopE⇓ пишет:

То есть "нет в телефоне" - следует читать, как " он мне нафиг не нужен в телефоне и устанавливать не хочу ради проверки, и есть он в гугл магазине или нет - пофиг"

Нет, это следует читать — у пользователя нет этого приложения в телефоне и он никак не сможет задействовать его в компе (даже если установит и запустит). А вот причины отсутствия оного могут быть разные, например у меня простая звонилка и его туда никак не установить, или пользователь не хочет устанавливать его именно в тлф (да мало ли причин)

39 (2019-12-18 17:38:27 отредактировано TopE)

algri14⇓ пишет:

Нет, это следует читать

да пофиг как читать. техническая возможность установки - это еще не повод для установки.

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

40

TopE⇓ пишет:

да пофиг как читать. техническая возможность установки - это еще не повод для установки.

нет не пофиг, но почему так? ведь сейчас многие мессенджеры авторизацию делают по тлф, например телеграм, но на комп ставится и без обязательной установки в тлф

41

algri14⇓ пишет:

но почему так?

потому что не хотят) двухфакторная (на самом деле это не двухфакторная в строгом понимании этого термина) авторизация как в телеграмме на компе, к примеру, требует рассылки смс для аутентификации. Тут не требуется рассылка, а требуется считать разовый штрих код с экрана, что как минимум дешевле для сервиса и в общем случае выполнима для всех пользователей viber. Для вас невыполнимо, но вы и не пользуетесь этим сервисом. Так что сервис ничего и не теряет при этом, как и вы)))

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит

42

TopE⇓ пишет:

Для вас невыполнимо, но вы и не пользуетесь этим сервисом. Так что сервис ничего и не теряет при этом, как и вы)))

Теряю, у меня нет андроида, но есть звонилка и комп, ущемляются юзеры со звонилкой.

43 (2019-12-19 11:05:12 отредактировано TopE)

algri14⇓ пишет:

ущемляются юзеры со звонилкой

юзеры со звонилкой ущемляют себя сами, тем, что они со звонилкой. Никто этим юзерам не виноват, что приложение требует для своей работы андроид или айос.
так можно сказать, что юзеры винды ущемляются, так как под винду нет многих фич, которые есть в линуксе и наоборот))
Производители гвоздей ущемляют тех, кто не имеет молотка))

ROSA Desktop Fresh R11.1 EE 2016.1 Desktop 64-бит